package com.fs.chat.service;

import com.fs.chat.domain.ChatDataset;
import com.fs.chat.param.ChatDatasetCParam;
import com.fs.chat.vo.ChatDatasetListCVO;

import java.util.List;

/**
 * 知识库Service接口
 *
 * @author fs
 * @date 2024-04-21
 */
public interface IChatDatasetService
{
    /**
     * 查询知识库
     *
     * @param datasetId 知识库主键
     * @return 知识库
     */
    public ChatDataset selectChatDatasetByDatasetId(Long datasetId);

    /**
     * 查询知识库列表
     *
     * @param chatDataset 知识库
     * @return 知识库集合
     */
    public List<ChatDataset> selectChatDatasetList(ChatDataset chatDataset);

    /**
     * 新增知识库
     *
     * @param chatDataset 知识库
     * @return 结果
     */
    public int insertChatDataset(ChatDataset chatDataset);

    /**
     * 修改知识库
     *
     * @param chatDataset 知识库
     * @return 结果
     */
    public int updateChatDataset(ChatDataset chatDataset);

    /**
     * 批量删除知识库
     *
     * @param datasetIds 需要删除的知识库主键集合
     * @return 结果
     */
    public int deleteChatDatasetByDatasetIds(Long[] datasetIds);

    /**
     * 删除知识库信息
     *
     * @param datasetId 知识库主键
     * @return 结果
     */
    public int deleteChatDatasetByDatasetId(Long datasetId);

    int check(Long roleId);

    List<ChatDatasetListCVO> selectChatDatasetListCVO(ChatDatasetCParam chatDataset);
}
